
%define kf5webkit_major 5
%define libkf5webkit %mklibname kf5webkit %{kf5webkit_major}
%define kf5webkit_devel %mklibname kf5webkit -d

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 integration module for WebKit
Name:           kdewebkit
Version: 		5.23.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  attica-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kguiaddons-devel 
BuildRequires:  kservice-devel 
BuildRequires:  kwindowsystem-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  solid-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  kwallet-devel 
BuildRequires:  kio-devel 
BuildRequires:  knotifications-devel 
BuildRequires:  kparts-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kauth-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  sonnet-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kjobwidgets-devel 

%description
KDE Frameworks 5 Tier 3 integration module for WebKit

#--------------------------------------------------------------------
%package -n %libkf5webkit
Summary:  KDE Frameworks 5 Tier 3 integration module for WebKit
Group:        System/Libraries

%description -n %libkf5webkit
KDE Frameworks 5 Tier 3 integration module for WebKit

%files -n %libkf5webkit
%_kf5_libdir/libKF5WebKit.so.%{kf5webkit_major}*

#--------------------------------------------------------------------
%package -n %kf5webkit_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5webkit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5webkit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5webkit_devel
%_kf5_includedir/KDEWebKit
%_kf5_includedir/kdewebkit_version.h
%_kf5_libdir/cmake/KF5WebKit
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%changelog
* Sat Jun 11 2016 bb <bb> 5.23.0-1pclos2016
- update

